<?php

class  cProductomarcacodigo{



	function insertar($promar_id,$tip,$cod){

		$sql = "INSERT INTO tb_productomarcacodigo(

		`tb_productomarca_id` ,

		`tb_productomarcacodigo_tip`,	

		`tb_productomarcacodigo_cod` 

		)

		VALUES ('$promar_id','$tip','$cod');"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	

	function modificar($promarcod_id,$cod){

		$sql = "UPDATE tb_productomarcacodigo SET

		`tb_productomarcacodigo_cod` = '$cod'

		where tb_productomarcacodigo_id = '$promarcod_id' "; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	

	function actualizar_tip($promarcod_id,$tip){

		$sql = "UPDATE tb_productomarcacodigo SET

		`tb_productomarcacodigo_tip` = '$tip'

		where tb_productomarcacodigo_id = '$promarcod_id' "; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	



	function eliminar($promarcod_id){

		$sql = "delete from tb_productomarcacodigo where

		tb_productomarcacodigo_id = '$promarcod_id' "; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}



	

	function ultimoInsert(){

		$sql = "select MAX(tb_productomarcacodigo_id) as 'id' from tb_productomarcacodigo"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	

	function mostrar_filtro($promar_id){

		$sql="SELECT *

		FROM  tb_productomarcacodigo 

		WHERE tb_productomarca_id = '$promar_id' ";

	

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}



function mostrarUno($cat_id,$tip){

		$sql="SELECT * FROM tb_productomarcacodigo pmc

inner join tb_productomarca pm on pm.tb_productomarca_id = pmc.tb_productomarca_id

where pm.tb_catalogo_id = '$cat_id' and pmc.tb_productomarcacodigo_tip = '$tip' ";



		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}



function verExistencia($marcod_id,$cod){

		$sql="SELECT * FROM tb_productomarcacodigo where tb_productomarca_id = '$marcod_id' and tb_productomarcacodigo_cod = '$cod' ";



		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}





	

}

?>